####### Files

HEADERS =	include$(SEP)mxcpc_config.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpc_namespace.h \
		include$(SEP)mxcpc_mxpeg_namespace.h \
		include$(SEP)mxcpcDefaultMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpcFramewiseMxPEGDecoder.h \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoderSoftwareOnly.h \
		include$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly.h \
		include$(SEP)mxcpcHuffmanTree.h \
		include$(SEP)mxcpcJPEGSequenceWriter.h \
		include$(SEP)mxcpcMJPEGWriter.h \
		include$(SEP)mxcpcMJPEGServerpushWriter.h \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpcStreamDecoder.h \
		include$(SEP)mxcpcStreamFile.h \
		include$(SEP)mxcpcStreamFileDumper.h \
		include$(SEP)mxcpcStreamSource.h \
		include$(SEP)mxcpcStreamStandardIn.h \
		include$(SEP)mxcpcValueRange.h \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoder.h \
		include$(SEP)mxcpcCameraLiveMxPEGFastStream.h \
		include$(SEP)mxcpcCameraLiveMxPEGFastStreamPOSIX.h \

SOURCES =	mxcpc_namespace.cpp \
		mxcpcDefaultMxPEGDecoderBackEnd.cpp \
		mxcpcFramewiseMxPEGDecoder.cpp \
		mxcpcFramewiseMxPEGScanDecoderSoftwareOnly.cpp \
		mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly.cpp \
		mxcpcHuffmanTree.cpp \
		mxcpcJPEGSequenceWriter.cpp \
		mxcpcMJPEGWriter.cpp \
		mxcpcMJPEGServerpushWriter.cpp \
		mxcpcMxPEGDecoder.cpp \
		mxcpcMxPEGDecoderBackEnd.cpp \
		mxcpcMxPEGScanToJPEGConverterBackEnd.cpp \
		mxcpcStreamDecoder.cpp \
		mxcpcStreamFile.cpp \
		mxcpcStreamFileDumper.cpp \
		mxcpcStreamSource.cpp \
		mxcpcStreamStandardIn.cpp \
		mxcpcValueRange.cpp \
		mxcpcFramewiseMxPEGScanDecoder.cpp \
		mxcpcCameraLiveMxPEGFastStream.cpp \
		mxcpcCameraLiveMxPEGFastStreamPOSIX.cpp \

OBJECTS =	obj$(SEP)mxcpc_namespace$(OBJEXT) \
		obj$(SEP)mxcpcDefaultMxPEGDecoderBackEnd$(OBJEXT) \
		obj$(SEP)mxcpcFramewiseMxPEGDecoder$(OBJEXT) \
		obj$(SEP)mxcpcFramewiseMxPEGScanDecoderSoftwareOnly$(OBJEXT) \
		obj$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly$(OBJEXT) \
		obj$(SEP)mxcpcHuffmanTree$(OBJEXT) \
		obj$(SEP)mxcpcJPEGSequenceWriter$(OBJEXT) \
		obj$(SEP)mxcpcMJPEGWriter$(OBJEXT) \
		obj$(SEP)mxcpcMJPEGServerpushWriter$(OBJEXT) \
		obj$(SEP)mxcpcMxPEGDecoder$(OBJEXT) \
		obj$(SEP)mxcpcMxPEGDecoderBackEnd$(OBJEXT) \
		obj$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd$(OBJEXT) \
		obj$(SEP)mxcpcStreamDecoder$(OBJEXT) \
		obj$(SEP)mxcpcStreamFile$(OBJEXT) \
		obj$(SEP)mxcpcStreamFileDumper$(OBJEXT) \
		obj$(SEP)mxcpcStreamSource$(OBJEXT) \
		obj$(SEP)mxcpcStreamStandardIn$(OBJEXT) \
		obj$(SEP)mxcpcValueRange$(OBJEXT) \
		obj$(SEP)mxcpcFramewiseMxPEGScanDecoder$(OBJEXT) \
#		obj$(SEP)mxcpcCameraLiveMxPEGFastStream$(OBJEXT) \
#		obj$(SEP)mxcpcCameraLiveMxPEGFastStreamPOSIX$(OBJEXT) \

obj$(SEP)mxcpc_namespace$(OBJEXT): mxcpc_namespace.cpp \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpc_mxpeg_namespace$(OBJEXT): mxcpc_mxpeg_namespace.cpp \
		include$(SEP)mxcpc_mxpeg_namespace.h \
		include$(SEP)mxcpc_namespace.h

#obj$(SEP)mxcpcCameraLiveMxPEGFastStream$(OBJEXT): mxcpcCameraLiveMxPEGFastStream.cpp \
#		include$(SEP)mxcpcCameraLiveMxPEGFastStream.h \
#		include$(SEP)mxcpcStreamSource.h

#obj$(SEP)mxcpcCameraLiveMxPEGFastStreamPOSIX$(OBJEXT): mxcpcCameraLiveMxPEGFastStreamPOSIX.cpp \
#		include$(SEP)mxcpcCameraLiveMxPEGFastStreamPOSIX.h \
#		include$(SEP)mxcpc_exceptions.h \
#		include$(SEP)mxcpcCameraLiveMxPEGFastStream.h \
#		include$(SEP)mxcpcStreamSource.h

obj$(SEP)mxcpcDefaultMxPEGDecoderBackEnd$(OBJEXT): mxcpcDefaultMxPEGDecoderBackEnd.cpp \
		include$(SEP)mxcpcDefaultMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpc_namespace.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h

obj$(SEP)mxcpcFramewiseMxPEGDecoder$(OBJEXT): mxcpcFramewiseMxPEGDecoder.cpp \
		include$(SEP)mxcpcFramewiseMxPEGDecoder.h \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoder.h \
		include$(SEP)mxcpcStreamSource.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpc_namespace.h \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcStreamDecoder.h

obj$(SEP)mxcpcFramewiseMxPEGScanDecoder$(OBJEXT): mxcpcFramewiseMxPEGScanDecoder.cpp \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoder.h \
		include$(SEP)mxcpcFramewiseMxPEGDecoder.h \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcStreamDecoder.h

obj$(SEP)mxcpcFramewiseMxPEGScanDecoderSoftwareOnly$(OBJEXT): mxcpcFramewiseMxPEGScanDecoderSoftwareOnly.cpp \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoderSoftwareOnly.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpc_namespace.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoder.h \
		include$(SEP)mxcpcHuffmanTree.h \
		include$(SEP)mxcpcFramewiseMxPEGDecoder.h \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcStreamDecoder.h

obj$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverterIPP$(OBJEXT): mxcpcFramewiseMxPEGScanToJPEGConverterIPP.cpp \
		include$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverterIPP.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoder.h \
		include$(SEP)mxcpc_mxpeg_namespace.h \
		include$(SEP)mxcpcFramewiseMxPEGDecoder.h \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcStreamDecoder.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverter$(OBJEXT): mxcpcFramewiseMxPEGScanToJPEGConverter.cpp \
		include$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverter.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoder.h \
		include$(SEP)mxcpcHuffmanTree.h \
		include$(SEP)mxcpc_mxpeg_namespace.h \
		include$(SEP)mxcpcFramewiseMxPEGDecoder.h \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcStreamDecoder.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly$(OBJEXT): mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly.cpp \
		include$(SEP)mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpcFramewiseMxPEGScanDecoder.h \
		include$(SEP)mxcpcHuffmanTree.h \
		include$(SEP)mxcpc_mxpeg_namespace.h \
		include$(SEP)mxcpcFramewiseMxPEGDecoder.h \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcStreamDecoder.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcHuffmanTree$(OBJEXT): mxcpcHuffmanTree.cpp \
		include$(SEP)mxcpcHuffmanTree.h \
		include$(SEP)mxcpc_exceptions.h

obj$(SEP)mxcpcJPEGSequenceWriter$(OBJEXT): mxcpcJPEGSequenceWriter.cpp \
		include$(SEP)mxcpcJPEGSequenceWriter.h \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcMJPEGWriter$(OBJEXT): mxcpcMJPEGWriter.cpp \
		include$(SEP)mxcpcMJPEGWriter.h \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcMJPEGServerpushWriter$(OBJEXT): mxcpcMJPEGServerpushWriter.cpp \
		include$(SEP)mxcpcMJPEGServerpushWriter.h \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcMxPEGDecoder$(OBJEXT): mxcpcMxPEGDecoder.cpp \
		include$(SEP)mxcpcMxPEGDecoder.h \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpcStreamDecoder.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcMxPEGDecoderBackEnd$(OBJEXT): mxcpcMxPEGDecoderBackEnd.cpp \
		include$(SEP)mxcpcMxPEGDecoderBackEnd.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd$(OBJEXT): mxcpcMxPEGScanToJPEGConverterBackEnd.cpp \
		include$(SEP)mxcpcMxPEGScanToJPEGConverterBackEnd.h \
		include$(SEP)mxcpc_namespace.h

obj$(SEP)mxcpcStreamDecoder$(OBJEXT): mxcpcStreamDecoder.cpp \
		include$(SEP)mxcpcStreamDecoder.h \
		include$(SEP)mxcpcStreamSource.h

obj$(SEP)mxcpcStreamFile$(OBJEXT): mxcpcStreamFile.cpp \
		include$(SEP)mxcpcStreamFile.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpcStreamSource.h

obj$(SEP)mxcpcStreamFileDumper$(OBJEXT): mxcpcStreamFileDumper.cpp \
		include$(SEP)mxcpcStreamFileDumper.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpcStreamSource.h

obj$(SEP)mxcpcStreamSource$(OBJEXT): mxcpcStreamSource.cpp \
		include$(SEP)mxcpcStreamSource.h

obj$(SEP)mxcpcStreamStandardIn$(OBJEXT): mxcpcStreamStandardIn.cpp \
		include$(SEP)mxcpcStreamStandardIn.h \
		include$(SEP)mxcpc_exceptions.h \
		include$(SEP)mxcpcStreamSource.h

obj$(SEP)mxcpcValueRange$(OBJEXT): mxcpcValueRange.cpp \
		include$(SEP)mxcpcValueRange.h
