//           ///          //
//          /////        ////
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcValueRange.h,v $  
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/08/09 13:57:26 $
//     ////    XXX     XXX    ////     $Author: cvs-steve $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems ///////////////////////////////////////////////

// Copyright (c) 2005, MOBOTIX AG.
// This software is made available under the BSD licence. Please refer 
// to the file LICENCE.TXT contained in this distribution for details.


#ifndef __MXCPC_VALUERANGE_H__
#define __MXCPC_VALUERANGE_H__



//! This diagnostics class can be fed with integer values and remembers their
//! value range.
/*!
 *  \ingroup mxcpc
 */
class mxcpcValueRange {
 
 private:
  int Min, 
      Max;
  bool IsFresh;

 public:
  mxcpcValueRange();
  
 public:
  //! Feeds another integer value, possibly widening the represented value 
  //! range.
  void feedValue(int value);
  //! Prints the current range to <tt>stdout</tt>.
  void dumpRange(void);
};



#endif   // __MXCPC_VALUERANGE_H__
