//           ///          //
//          /////        ////
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcCameraLiveMxPEGFastStreamPOSIX.h,v $  
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/04/18 16:21:05 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems ///////////////////////////////////////////////



#ifndef __MXCPC_CAMERALIVEMXPEGFASTSTREAMPOSIX_H__
#define __MXCPC_CAMERALIVEMXPEGFASTSTREAMPOSIX_H__



#include <mxcpcCameraLiveMxPEGFastStream.h>



//! Camera FastStream Access implementation directly using POSIX socket I/O.
class mxcpcCameraLiveMxPEGFastStreamPOSIX 
        : public mxcpcCameraLiveMxPEGFastStream {

 private:
  int Socket;
        
 public:
  mxcpcCameraLiveMxPEGFastStreamPOSIX(int ip1, int ip2, int ip3, int ip4, 
                                      int port,
                                      int fps = 4);
  ~mxcpcCameraLiveMxPEGFastStreamPOSIX();
  
 public:
  //! Reimplemented.
  int fetchBytes(unsigned char *buffer, int num);
};



#endif   // __MXCPC_CAMERALIVEMXPEGFASTSTREAMPOSIX_H__
