//           ///          //
//          /////        ////
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpc_namespace.h,v $  
//       ///       XXX       ///     $Revision: 1.7 $
//      ///      XXX XXX      ///     $Date: 2005/08/09 13:57:26 $
//     ////    XXX     XXX    ////     $Author: cvs-steve $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems ///////////////////////////////////////////////

//           ///          //
//          /////        ////
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpc_namespace.h,v $  
//       ///       XXX       ///     $Revision: 1.7 $
//      ///      XXX XXX      ///     $Date: 2005/08/09 13:57:26 $
//     ////    XXX     XXX    ////     $Author: cvs-steve $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems ///////////////////////////////////////////////

// Copyright (c) 2005, MOBOTIX AG.
// This software is made available under the BSD licence. Please refer 
// to the file LICENCE.TXT contained in this distribution for details.


#ifndef __MXCPC_NAMESPACE_H__
#define __MXCPC_NAMESPACE_H__



//! Namespace holding type definition stuff etc for the <tt>mxcpc</tt>
//! library.
/*!
 *  \ingroup mxcpc
 */
namespace mxcpc {

  typedef unsigned char 	u8;
  typedef short         	s16;
  typedef unsigned int  	u32;
	typedef unsigned short	u16;
  
  //! Does the obvious thing.
  inline void clamp_s16(s16 *numba, s16 min, s16 max) {
    if(*numba < min) *numba = min;
    if(*numba > max) *numba = max;
  }
  //! Does the obvious thing.
  inline void clamp_int(int *numba, int min, int max) {
    if(*numba < min) *numba = min;
    if(*numba > max) *numba = max;
  }
  
  //! Used from within the <tt>mxcpc</tt> library to emit status messages.
  /*!
   *  That way, there is a central place that can be tweaked in order to change
   *  outputting of status messages.
   */ 
  void sendStatusMsg(const char *txt, void *class_ptr = 0);
};



#endif   // __MXCPC_NAMESPACE_H__

