//           ///          //
//          /////        ////
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcValueRange.cpp,v $  
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/08/09 13:57:26 $
//     ////    XXX     XXX    ////     $Author: cvs-steve $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems ///////////////////////////////////////////////

// Copyright (c) 2005, MOBOTIX AG.
// This software is made available under the BSD licence. Please refer 
// to the file LICENCE.TXT contained in this distribution for details.


#include <mxcpcValueRange.h>

#include <cstdio>



mxcpcValueRange::mxcpcValueRange() {

  Min = Max = 0;
  
  IsFresh = true;
}



void mxcpcValueRange::feedValue(int value) {

  if(IsFresh) {
  
    Min = Max = value;
    IsFresh = false;
  }
  else {
    
    if(value < Min) Min = value;
    if(value > Max) Max = value;
  }
}


void mxcpcValueRange::dumpRange(void) {

  std::printf("[ %7d , %7d ]", Min, Max);
}
